Subject: DLL's for use with other languages..
From: [email-masked] (J Russell Smyth)

12 Jun 1997 03:53:11 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.0b3 [en] (Win95; I)
Original-To: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Hello all..

  I am new to GNU-WIN32 and to windows C/C++ programming in general,
though fairly competent C programmer in DOS/UNIX. What I want to know is
can GNU-WIN32 or cygwin32 create dll's that can be used by Visual Basic?
I have tried some small dll's and tested with C drivers which works ok,
but when I try to use with VisBasic I get one of several errors..

   unable to find function in dll
   invalid call (help makes ref to pascal calling convention)

I have tried using cygwin32, mingw32, and also lcc.. all pass the C
driver test, but all fail the VB test

any help would be appreciated..

   Russ Smyth
   [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".